<template>
    <div>
            <editor-content :editor="editor" />
    </div>
</template>

<script>
    import { Editor, EditorContent } from 'tiptap'

    export default {
        name: "StaticEditorComponent",
        components: {
            EditorContent,
        },
        props: ["content"],
        data() {
            return {
                editor: null,
            };
        },
        mounted() {
            this.editor = new Editor({
                editable: false,
                content: JSON.parse(this.content),
            });
        },
        beforeDestroy() {
            this.editor.destroy()
        }
    }
</script>
